/* 样式库 */
:root {
  --trans-light: rgba(255, 255, 255, 0.75);
  --trans-dark: rgba(25, 25, 25, 0.6);
  --border-style: 1px solid rgb(169, 169, 169);
  --backdrop-filter: blur(5px) saturate(150%);
}

/* 引入图标 */
/* @import "//at.alicdn.com/t/c/font_3869443_d8eah56sl0e.js"; */


/* 页脚与头图透明 */
#footer {
  background: transparent !important;
}

#page-header {
  background: transparent !important;
}

/* 白天模式遮罩透明 */
#footer::before {
  background: transparent !important;
}

#page-header::before {
  background: transparent !important;
}

/* 夜间模式遮罩透明 */
[data-theme="dark"] #footer::before {
  background: transparent !important;
}

[data-theme="dark"] #page-header::before {
  background: transparent !important;
}


/* 日间模式不生效 */
[data-theme="light"] #site-name,
[data-theme="light"] #site-title,
[data-theme="light"] #site-subtitle,
[data-theme="light"] #post-info {
  animation: none;
}

/* 夜间模式生效 */
[data-theme="dark"] #site-name,
[data-theme="dark"] #site-title {
  animation: light_15px 10s linear infinite;
}

[data-theme="dark"] #site-subtitle {
  animation: light_10px 10s linear infinite;
}

[data-theme="dark"] #post-info {
  animation: light_5px 10s linear infinite;
}

/* 关键帧描述 */
@keyframes light_15px {
  0% {
    text-shadow: #5636ed 0 0 15px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 15px;
  }

  25% {
    text-shadow: #f14747 0 0 15px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 15px;
  }

  50% {
    text-shadow: #f1ee47 0 0 15px;
  }

  50% {
    text-shadow: #b347f1 0 0 15px;
  }

  62.5% {
    text-shadow: #002afa 0 0 15px;
  }

  75% {
    text-shadow: #ed709b 0 0 15px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 15px;
  }

  100% {
    text-shadow: #5636ed 0 0 15px;
  }
}

@keyframes light_10px {
  0% {
    text-shadow: #5636ed 0 0 10px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 10px;
  }

  25% {
    text-shadow: #f14747 0 0 10px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 10px;
  }

  50% {
    text-shadow: #f1ee47 0 0 10px;
  }

  50% {
    text-shadow: #b347f1 0 0 10px;
  }

  62.5% {
    text-shadow: #002afa 0 0 10px;
  }

  75% {
    text-shadow: #ed709b 0 0 10px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 10px;
  }

  100% {
    text-shadow: #5636ed 0 0 10px;
  }
}

@keyframes light_5px {
  0% {
    text-shadow: #5636ed 0 0 5px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 5px;
  }

  25% {
    text-shadow: #f14747 0 0 5px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 15px;
  }

  50% {
    text-shadow: #f1ee47 0 0 5px;
  }

  50% {
    text-shadow: #b347f1 0 0 5px;
  }

  62.5% {
    text-shadow: #002afa 0 0 5px;
  }

  75% {
    text-shadow: #ed709b 0 0 5px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 5px;
  }

  100% {
    text-shadow: #5636ed 0 0 5px;
  }
}

/* 侧边栏个人信息卡片动态渐变色 */
/* #aside-content > .card-widget.card-info {
    background: linear-gradient(
        -45deg,
        #e8d8b9,
        #eccec5,
        #a3e9eb,
        #bdbdf0,
        #eec1ea
    );
    box-shadow: 0 0 5px rgb(66, 68, 68);
    position: relative;
    background-size: 400% 400%;
    -webkit-animation: Gradient 10s ease infinite;
    -moz-animation: Gradient 10s ease infinite;
    animation: Gradient 10s ease infinite !important;
}
@-webkit-keyframes Gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
@-moz-keyframes Gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}
@keyframes Gradient {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
} */

/* 黑夜模式适配 */
/* [data-theme="dark"] #aside-content > .card-widget.card-info {
    background: #191919ee;
} */

/* 个人信息卡片背景图 */
[data-theme="light"] #aside-content>.card-widget.card-info {
  background-image: url(https://sourcebucket.s3.ladydaily.com/img/snowflower.webp);
  background-repeat: no-repeat;
  background-attachment: inherit;
  background-size: 100%;
}

[data-theme="dark"] #aside-content>.card-widget.card-info {
  background-image: url(https://sourcebucket.s3.ladydaily.com/img/aurora.webp);
  background-repeat: no-repeat;
  background-attachment: inherit;
  background-size: 100%;
}

/* 个人信息Follow me按钮 */
#aside-content>.card-widget.card-info>#card-info-btn {
  background-color: #3eb8be;
  border-radius: 8px;
}

.avatar-img {
  max-width: 160px;
  min-width: 150px;
  max-height: 160px;
  min-height: 150px;
}



/* 信息卡片彩带 */
/* .author_top:hover {
    background: url(https://tuchuang.voooe.cn/images/2023/01/02/snow.gif);
    background-size: cover;
  } */

/* 头像呼吸灯 */
[data-theme="light"] .avatar-img {
  animation: huxi_light 4s ease-in-out infinite;
}

[data-theme="dark"] .avatar-img {
  animation: huxi_dark 4s ease-in-out infinite;
}

@keyframes huxi_light {
  0% {
    box-shadow: 0px 0px 3px 3px #e9f5fa;
  }

  50% {
    box-shadow: 0px 0px 8px 8px #e9f5fa;
  }

  100% {
    box-shadow: 0px 0px 3px 3px #e9f5fa;
  }
}

@keyframes huxi_dark {
  0% {
    box-shadow: 0px 0px 3px 3px #39c5bb;
  }

  50% {
    box-shadow: 0px 0px 8px 8px #39c5bb;
  }

  100% {
    box-shadow: 0px 0px 3px 3px #39c5bb;
  }
}


/* 小冰分类分类磁铁黑夜模式适配 */
/* 一般状态 */
[data-theme="dark"] .magnet_link_context {
  background: #1e1e1e;
  color: antiquewhite;
}

/* 鼠标悬浮状态 */
[data-theme="dark"] .magnet_link_context:hover {
  background: #3ecdf1;
  color: #f2f2f2;
}

/* 翻页按钮居中 */
#pagination {
  width: 100%;
  margin: auto;
}



/* 自定义字体 */
@font-face {
  /* 为载入的字体取名字(随意) */
  font-family: 'zhuzi';
  /* 字体文件地址(相对或者绝对路径都可以) */
  src: url(https://picbed.dreamgo.fun/font/筑紫A丸by宁静之雨.woff2);
  /* 定义加粗样式(加粗多少) */
  font-weight: normal;
  /* 定义字体样式(斜体/非斜体) */
  font-style: normal;
  /* 定义显示样式 */
  font-display: swap;
}

/* 自定义字体 */
@font-face {
  /* 为载入的字体取名字(随意) */
  font-family: 'HYTM';
  /* 字体文件地址(相对或者绝对路径都可以) */
  src: url(https://picbed.dreamgo.fun/font/HYTangMeiRen55W.woff2);
  /* 定义加粗样式(加粗多少) */
  font-weight: normal;
  /* 定义字体样式(斜体/非斜体) */
  font-style: normal;
  /* 定义显示样式 */
  font-display: swap;
}


/* 自定义字体 */
@font-face {
  /* 为载入的字体取名字(随意) */
  font-family: 'jinglong';
  /* 字体文件地址(相对或者绝对路径都可以) */
  src: url(https://picbed.dreamgo.fun/font/云峰静龙行书.woff2);
  /* 定义加粗样式(加粗多少) */
  font-size: larger;
  font-weight: 900;
  /* font-weight: normal; */
  /* 定义字体样式(斜体/非斜体) */
  font-style: normal;
  /* 定义显示样式 */
  font-display: swap;
}



/* 鼠标样式 */
#cursor {
  position: fixed;
  width: 16px;
  height: 16px;
  /* 这里改变跟随的底色 */
  background: rgb(57, 197, 187);
  border-radius: 8px;
  opacity: 0.25;
  z-index: 10086;
  pointer-events: none;
  transition: 0.2s ease-in-out;
  transition-property: background, opacity, transform;
}

#cursor.hidden {
  opacity: 0;
}

#cursor.hover {
  opacity: 0.1;
  transform: scale(2.5);
  -webkit-transform: scale(2.5);
  -moz-transform: scale(2.5);
  -ms-transform: scale(2.5);
  -o-transform: scale(2.5);
}

#cursor.active {
  opacity: 0.5;
  transform: scale(0.5);
  -webkit-transform: scale(0.5);
  -moz-transform: scale(0.5);
  -ms-transform: scale(0.5);
  -o-transform: scale(0.5);
}


/* 页面样式调节 */
/* 首页文章卡片 */
#recent-posts>.recent-post-item {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border-radius: 25px;
  border: var(--border-style);
}

/* 首页侧栏卡片 */
#aside-content .card-widget {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border-radius: 18px;
  border: var(--border-style);
}

/* 文章页、归档页、普通页面 */
div#post,
div#page,
div#archive {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border: var(--border-style);
  border-radius: 20px;
}

/* 导航栏 */
#page-header.nav-fixed #nav {
  background: rgba(255, 255, 255, 0.75);
  backdrop-filter: var(--backdrop-filter);
}

[data-theme="dark"] #page-header.nav-fixed #nav {
  background: rgba(0, 0, 0, 0.7) !important;
}

/* 夜间模式遮罩 */
[data-theme="dark"] #recent-posts>.recent-post-item,
[data-theme="dark"] #aside-content .card-widget,
[data-theme="dark"] div#post,
[data-theme="dark"] div#archive,
[data-theme="dark"] div#page {
  background: var(--trans-dark);
}


/* 夜间模式页脚页头遮罩透明 */
[data-theme="dark"] #footer::before {
  background: transparent !important;
}

[data-theme="dark"] #page-header::before {
  background: transparent !important;
}

/* 阅读模式 */
.read-mode #aside-content .card-widget {
  background: rgba(158, 204, 171, 0.5) !important;
}

.read-mode div#post {
  background: rgba(158, 204, 171, 0.5) !important;
}

/* 夜间模式下的阅读模式 */
[data-theme="dark"] .read-mode #aside-content .card-widget {
  background: rgba(25, 25, 25, 0.9) !important;
  color: #ffffff;
}

[data-theme="dark"] .read-mode div#post {
  background: rgba(25, 25, 25, 0.9) !important;
  color: #ffffff;
}

/* 全局宽度 */
.layout {
  max-width: 1400px;
}

/* 侧边卡片栏宽度 */
.aside-content {
  max-width: 328px;
  min-width: 300px;
}


/* 平板尺寸自适应(不启用侧边栏宽度限制) */
@media screen and (max-width: 900px) {
  .aside-content {
    max-width: none !important;
    padding: 0 5px 0 5px;
  }
}

/* 除了首页以外其他页面隐藏卡片，并采用宽屏显示 */
#archive,
#page,
#category,
#tag {
  width: 100%;
}

.page:not(.page.home) .aside-content {
  display: none;
}

/* 纸飞机 */
#drone .container {
  overflow: hidden;
}



/* 滚动条样式 */
::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

::-webkit-scrollbar-track {
  background-color: rgba(73, 177, 245, 0.2);
  border-radius: 2em;
}

::-webkit-scrollbar-thumb {
  background-color: rgb(4, 164, 127);
  background-image: -webkit-linear-gradient(45deg,
      rgba(255, 255, 255, 0.4) 25%,
      transparent 25%,
      transparent 50%,
      rgba(255, 255, 255, 0.4) 50%,
      rgba(255, 255, 255, 0.4) 75%,
      transparent 75%,
      transparent);
  border-radius: 2em;
}

::-webkit-scrollbar-corner {
  background-color: transparent;
}

::-moz-selection {
  color: #fff;
  background-color: rgb(4, 164, 127);
}


/* 动态图标 */
svg.icon {
  width: 1.28em;
  height: 1.28em;
  vertical-align: -0.15em;
  fill: currentColor;
  overflow: hidden;
}


/* tzy页脚样式 */
#ft {
  max-width: 1200px;
  margin: 0 auto 12px;
  display: flex;
  color: rgb(255 255 255 / 80%) !important;
  text-align: left;
  flex-wrap: wrap;
}

.ft-item-1,
.ft-item-2 {
  display: flex;
  height: 100%;
  padding: 2px 14px;
}

.ft-item-1 {
  flex-direction: column;
  flex: 2;
}

.ft-item-2 {
  flex: 1;
  flex-direction: column;
}

.t-top {
  display: flex;
}

.t-top .t-t-l {
  display: flex;
  flex-direction: column;
  flex: 1.4;
  margin-right: 10px;
}

.t-top .t-t-l .bg-ad {
  width: 85%;
  border-radius: 10px;
  padding: 0 10px;
}

.btn-xz-box {
  margin-top: 10px;
}

/* 按钮背景颜色等 */
.btn-xz {
  display: block;
  background-color: var(--btn-bg);
  color: var(--btn-color);
  text-align: center;
  line-height: 2.4;
  margin: 8px 0;
}

.btn-xz:hover {
  text-decoration: none !important;
}

/* 按钮悬浮颜色 */
.btn-xz-box:hover .btn-xz {
  background-color: var(--text-bg-hover);
}

.t-top .t-t-r {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.ft-links {
  padding: 0 14px;
  list-style: none;
  margin-top: 0 !important;
}

.ft-links li a {
  display: inline-block !important;
  width: 50%;
}

/* 链接悬浮颜色 */
.ft-links li a:hover {
  text-decoration: none !important;
  color: var(--theme-color) !important;
}

.ft-item-2 .ft-img-group {
  width: 100%;
}

.ft-t {
  font-size: 1.1rem;
  margin-bottom: 20px;
  line-height: 1;
  font-weight: 600;
}

.t-l-t {
  padding-left: 14px;
}

.ft-item-2 .ft-img-group .img-group-item {
  display: inline-block;
  width: 18.4%;
  margin-right: 14px;
  margin-bottom: 6px;
}

.ft-item-2 .ft-img-group .img-group-item a {
  display: inline-block;
  width: 100%;
  height: 100%;
}

.ft-item-2 .ft-img-group .img-group-item a img {
  width: 100%;
  max-height: 80px;
  border-radius: 10px;
}

/* 头像悬浮颜色框 */
.ft-item-2 .ft-img-group .img-group-item a img:hover {
  border: 2px solid var(--theme-color);
}

@media screen and (max-width: 768px) {
  .ft-item-1 {
    flex-basis: 100% !important;
  }

  .ft-item-2 {
    flex-basis: 100% !important;
  }

  .t-top .t-t-l .bg-ad {
    width: 100%;
  }
}

@media screen and (max-width: 576px) {
  .t-top {
    flex-wrap: wrap;
  }

  .t-top .t-t-l {
    flex-basis: 100% !important;
  }

  .t-top .t-t-r {
    margin-top: 16px;
    flex-basis: 100% !important;
  }
}

#footer-wrap a {
  border-radius: 30px;
}

#footer-wrap {
  padding: 20px 20px;
}

/* 页脚心跳动画 */
#heartbeat {
  color: red;
  animation: iconAnimate 1s ease-in-out infinite;
}

@-moz-keyframes iconAnimate {

  0%,
  100% {
    transform: scale(1);
  }

  10%,
  30% {
    transform: scale(0.9);
  }

  20%,
  40%,
  60%,
  80% {
    transform: scale(1.1);
  }

  50%,
  70% {
    transform: scale(1.1);
  }
}

@-webkit-keyframes iconAnimate {

  0%,
  100% {
    transform: scale(1);
  }

  10%,
  30% {
    transform: scale(0.9);
  }

  20%,
  40%,
  60%,
  80% {
    transform: scale(1.1);
  }

  50%,
  70% {
    transform: scale(1.1);
  }
}

@-o-keyframes iconAnimate {

  0%,
  100% {
    transform: scale(1);
  }

  10%,
  30% {
    transform: scale(0.9);
  }

  20%,
  40%,
  60%,
  80% {
    transform: scale(1.1);
  }

  50%,
  70% {
    transform: scale(1.1);
  }
}

@keyframes iconAnimate {

  0%,
  100% {
    transform: scale(1);
  }

  10%,
  30% {
    transform: scale(0.9);
  }

  20%,
  40%,
  60%,
  80% {
    transform: scale(1.1);
  }

  50%,
  70% {
    transform: scale(1.1);
  }
}


/*哔哩哔哩视频适配*/
.aspect-ratio {
  position: relative;
  width: 90%;
  height: auto;
  padding-bottom: 75%;
  margin: 3% auto;
  text-align: center;
}

.aspect-ratio iframe {
  position: absolute;
  width: 100%;
  height: 86%;
  left: 0;
  top: 0;
}

/* Twikoo 评论样式 */

.tk-input .el-textarea__inner {
  min-height: 120px !important;
}

#twikoo .OwO-body {
  max-width: 100% !important;
}

#twikoo .OwO .OwO-body .OwO-items:nth-child(1),
#twikoo .OwO .OwO-body .OwO-items:nth-child(4) {
  max-height: 360px !important;
}

#twikoo .OwO-items li[title|=menhera] img {
  width: 100% !important;
  margin: 5px 10px;
}

.tk-comment .tk-owo-emotion[alt*=menhera] {
  width: 300px !important;
}

.tk-comment .vemoji[alt|=menhera],
.tk-comment .tk-owo-emotion[alt*=menhera] {
  max-width: 300px !important;
  max-height: 300px !important;
  margin: 8px 1px;
  display: block !important;
}

@media screen and (max-width: 768px) {
  .tk-comment .vemoji[alt|=menhera], .tk-comment .tk-owo-emotion[alt*=menhera] {
      max-width: calc(100% - 30px) !important;
      max-height: calc(100% - 30px) !important;
  }
  .OwO .OwO-body .OwO-items-image .OwO-item[title*=menhera] {
      max-width: calc(50% - 10px);
      box-sizing: border-box;
  }
  
}

/* 欢迎信息 */

#welcome-info {
  background: linear-gradient(45deg, #b9f4f3, #e3fbf9);
  border-radius: 18px;
  padding: 6px;
  /* min-width: 290px; */
  /* width: 95% !important; */
  /* height: 100% !important;
  position: absolute;
  left: 10px;
  right: 10px; */
  font-size: 16px;
  
}

[data-theme="dark"] #welcome-info {
  background: #212121;
}



